Skip to main content
GET
/
aws
/
eks
/
instanceType
/
{region}
List AWS EKS available instance types
curl --request GET \
  --url https://api.qovery.com/aws/eks/instanceType/{region} \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "type": "T3A_XLARGE",
      "name": "t3a.xlarge",
      "cpu": 2,
      "ram_in_gb": 8,
      "bandwidth_in_gbps": "5.2",
      "bandwidth_guarantee": "UpTo",
      "architecture": "ARM64",
      "gpu_info": {
        "count": 123,
        "name": "<string>",
        "manufacturer": "<string>",
        "memory_in_mib": "<string>"
      },
      "attributes": {
        "instance_category": "<string>",
        "instance_generation": 123,
        "instance_family": "<string>",
        "instance_size": "<string>",
        "meets_resource_reqs": true
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

region
string
required

region name

Example:

"us-east-2"

Query Parameters

only_meets_resource_reqs
boolean
with_gpu
boolean

deprecated field, use gpu instead

gpu
enum<string>
default:INCLUDE
Available options:
INCLUDE,
EXCLUDE,
ONLY

Response

list the instance types available for AWS EKS by region

results
object[]